Bug 16996 - FAT32 partitions detected as type 0x1b
FAT32 partitions detected as type 0x1b
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2000-08-26 18:18 EDT by Chris Runge
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-12-08 14:38:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Runge 2000-08-26 18:18:21 EDT
FAT32 partitions are detected as type 0x1b on the Disk Druid screen when
doing a graphical install.

The problem with this is that apparently the LILO configuration screen
doesn't recognize this partition and thus it is impossible to correctly
configure LILO from within the installer to dual-boot; this must be done
manually after the install.

I made this a high severity/priority for this reason; newbies may wonder
what happened to their Windows 9x when they reboot.
Comment 1 Michael Fulbright 2000-08-29 12:16:35 EDT
Brock please reproduce.
Comment 2 Brock Organ 2000-08-30 12:07:52 EDT
Verified ... partitions of type 0x1b (Hidden Win95 FAT32) show up in disk druid
with the "0x1b" label, not the "Win95 FAT32" label ... further, ddruid does not
allow a mount point to be chosen for partitions of this type (so a partitionless
install cannot happen, or you can't even assign it a mount point under a regular
linux install either) ... thanks for your report!
Comment 3 Brock Organ 2000-12-08 14:38:27 EST
verified fix in internal test tree (qa1206.0 w/updates disk) ...
Comment 4 Brock Organ 2000-12-08 14:41:26 EST
with current fixed internal version, the user is able to assign partitions of
type 1b to non-root values ...

Note You need to log in before you can comment on or make changes to this bug.